<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：admin.lib.php
 * 摘    要：后台主模型
 * 适用范围：PHPWMS 1.0
 * 版    本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('Access Denied');
if (empty($_SESSION['admin_user'])) {
	@session_destroy();
	@session_unset();
	exit('<script>top.location.href="login.php";</script>');
}
function check_login(){
	if (!empty($_SESSION['admin_user'])){
		@session_destroy();
		@session_unset();
		header("location:login.php");
		exit();
	}
}
/**
 * 删静态缓存
 *
 */
function delete_cache(){
	return delete_folder(SYS_ROOT.'cache/static_cache/');
}
/**
 * 写文件名到数据库
 *
 * @param string $file_name 文件名 全名 包括绝对路径比如 d:/asda/asdas/a.jpg
 * @param string $type 文件类型 
 */
function insert_file($file_name,$type='default'){
	global $db;
	$base = pathinfo($file_name);
	$ex = strtolower($base['extension']);
	$ary = array('jpg','png','gif','jpeg');
	if($ex=='flv' || $ex=='fla'){
		$type = 'flv';
	}elseif($ex=='swf'){
		$type = 'flash';
	}elseif(in_array($ex,$ary)){
		$type = 'default';
	}else{
		$type = 'other';
	}
	$insert_data = array(
		'source_file'=>str_replace(SYS_ROOT,'',$file_name),
		'file_name'=>basename($file_name),
		'type'=>$type,
		'create_time'=>time(),
		'file_size'=>format_bytes(filesize($file_name))
	);
	 $db->insert($insert_data,'core_file');
}
function assign($ary){
	global $tpl;
	foreach ($ary as $k=>$a){
		$tpl->assign($k,$a);
	}
}
function siteConfig($name,$data = array()){
		global $db;
		$config  = $db->fetch("SELECT * FROM ##__core_setting WHERE `s_name` = '$name';");
		if(!empty($config)){
			//说明有则更新
			$data = serialize_deep($data);
			$db->query("UPDATE ##__core_setting SET `s_data` = '$data' WHERE `s_name` = '$name';");
		}else{//无数据
			$sql_data = array(
				's_name'=>$name,
				's_data'=>serialize_deep($data),
			);
			$db->insert($sql_data,'core_setting');
		}
		@unlink(STATC_CACHE_PATH.'/php_cache/global.php');
}
//-----------------------------BEGIN判断系统管理员----------------------------//
function getAdminPri($substr) {
	$is_orgin = intval(trim($_SESSION['manager_data']['is_orgin']));
	if($is_orgin=='1'){
			return TRUE;
	}
	if (!$substr || !$_SESSION['pri_config'] || empty($substr)) {
		return false;
	} else {
		$pri_str = $_SESSION['pri_config'];
		$ary = array_filter(array_map("trim",explode('|',$pri_str)));
		if (in_array($substr,$ary)) {
			return true;
		} else {
			return false;
		}
	}
}

function getSysAdminPri($substr)  //判断管理员权限
{  
	return getAdminPri($substr);
}
//--------------------------------END系统管理员----------------------------------//

function safeCheck() {
    if (file_exists(SYS_ROOT.'install')) {
		$warning[] = '您还没有删除 install 目录，出于安全的考虑，我们建议您删除 install 目录下的所有文件。';
	}
	clearstatcache();
	return $warning;
}
function shownav($navs) {
	return '<table width="98%" border="0" cellpadding="0" cellspacing="0" class="guide g-margin" align="center">'.
		'<tr><td><a href="#" onClick="parent.menu.location=\'admincp.php?action=menu\'; parent.main.location=\'admin_home.php\';return false;">后台管理首页</a>&nbsp;&raquo;&nbsp;'.$navs.'</td></tr></table>';
}
function showmenu($title, $menus = array()) {
	global $menucount, $collapse;
	echo '<table width="146" border="0" cellspacing="0" align="center" cellpadding="0" class="leftmenulist" style="margin-bottom: 5px;">';
	if(is_array($menus)) {
		$menucount++;
		$collapsed = preg_match("/\\[$menucount\\]/", $collapse);
		echo 	'<tr class="leftmenutext"><td><a href="###" onclick="collapse_change('.$menucount.')"><img id="menuimg_'.$menucount.'" src="./images/menu_'.($collapsed ? 'add' : 'reduce').'.gif" border="0"/></a>&nbsp;'.
			'<a href="###" onclick="collapse_change('.$menucount.')">'.$title.'</a></td></tr>'.
			'<tbody id="menu_'.$menucount.'" style="display:'.($collapsed ? 'none' : '').'">'.
		 	'<tr class="leftmenutd"><td><table border="0" cellspacing="0" cellpadding="0" class="leftmenuinfo">';

		foreach($menus as $menudata) {
			echo $menudata['name'] ? '<tr><td><a href="'.$menudata['url'].'" target="'.($menudata['target'] ? $menudata['target'] : 'main').'">'.$menudata['name'].'</a></td></tr>' : '';
		}
		echo '</table></td></tr></tbody>';
	} else {
		echo "<tr class=\"leftmenutext\"><td><img src=\"./images/menu_reduce.gif\" />&nbsp;<a href=\"$menus\" target=\"main\">$title</a></td></tr>\n";
	}
	echo "</table>\n";
}

/**
 * 读取数据库字段的属性
 * @param string $table 表名
 * @param string $column 字段名
 * @param string $attribute 属性名
 * @return array
 */ 
function mysql_field_value($table,$column,$attribute){
	global $db;
  $result = $db->query("show columns from {$table} where Field='{$column}';");
  return $result[$attribute];
}
?>